<?php
/*  以下是本人改进的PHP计数器，亲测可用

    首先创建一个counter.txt ，数值随便，默认为0作为储存数据用；
    此文件可用，如若在网页上复制而来，请注意符号半角，以及空格半角等问题，PHP是老外，不认中文
    初始时请保证 count.php counter.txt  style文件夹在同一目录，可以自行更改路径
    如果添加过汉字后有乱码，请另存为utf-8编码
    counter.txt 请另存为utf-8形式，避免出错
    如果出现脚本错误，例如 未定义变量，字段等，请检查符号半角等
     
    以下有详细注释
    
    
    如有问题请联系
                     QQ:1045163
                     邮箱:xdf@onsky.org
                     个人主页:http://xdf.me/

    xdf  
    2010.7.31
*/

$fp=fopen("counter.txt","r");                                       //以只读方式打开，counter.txt也可以使用据对路径
$num=fgets($fp,100);                                                 //读取50比特的数据，数值随意，但是过小会出错
fclose($fp);                                                        //关闭文件，次步骤可以省略
$num++;                                                             //自加完成计数功能
$fp=fopen("counter.txt","w");                                       //写入方式打开counter.txt
fwrite($fp,$num);                                                    //写入后保存
fclose($fp);                                                        //关闭文件
//echo $num;                                                        //若仅仅需要数字计数，则使用本句，注释掉以下代码，结束
$len_str=strlen($num);                                              //将数字转化为字符串
for($i=(0);$i < $len_str; $i++)                                     //循环输出
{
$pic_num = substr($num,$i,1);                                       //定义数字对应的图片，这里准备0-9        10个fig图片放在counter.txt同级目录下，需要用其他格式图片请自行更改
$output_str = $output_str . "<img src=\"style/1/$pic_num.gif\">";                //匹配数字对应的图片,更改数字选择自己喜欢的风格，也可自己添加，在style目录下
}
echo $output_str;                                                   //输出显示图片
//echo $num;                                                        //javascript调用才使用本句，在其他php页加
                                                                    //类似于document.write(<?php //include("count.php");的js代码.可以参考js.php
?>
